<!DOCTYPE html>

<html>
  <head>
    <title>Protocol Documentation</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Ubuntu:400,700,400italic"/>
    <style>
      body {
        width: 60em;
        margin: 1em auto;
        color: #222;
        font-family: "Ubuntu", sans-serif;
        padding-bottom: 4em;
      }

      h1 {
        font-weight: normal;
        border-bottom: 1px solid #aaa;
        padding-bottom: 0.5ex;
      }

      h2 {
        border-bottom: 1px solid #aaa;
        padding-bottom: 0.5ex;
        margin: 1.5em 0;
      }

      h3 {
        font-weight: normal;
        border-bottom: 1px solid #aaa;
        padding-bottom: 0.5ex;
      }

      a {
        text-decoration: none;
        color: #567e25;
      }

      table {
        width: 100%;
        font-size: 80%;
        border-collapse: collapse;
      }

      thead {
        font-weight: 700;
        background-color: #dcdcdc;
      }

      tbody tr:nth-child(even) {
        background-color: #fbfbfb;
      }

      td {
        border: 1px solid #ccc;
        padding: 0.5ex 2ex;
      }

      td p {
        text-indent: 1em;
        margin: 0;
      }

      td p:nth-child(1) {
        text-indent: 0;  
      }

       
      .field-table td:nth-child(1) {  
        width: 10em;
      }
      .field-table td:nth-child(2) {  
        width: 10em;
      }
      .field-table td:nth-child(3) {  
        width: 6em;
      }
      .field-table td:nth-child(4) {  
        width: auto;
      }

       
      .extension-table td:nth-child(1) {  
        width: 10em;
      }
      .extension-table td:nth-child(2) {  
        width: 10em;
      }
      .extension-table td:nth-child(3) {  
        width: 10em;
      }
      .extension-table td:nth-child(4) {  
        width: 5em;
      }
      .extension-table td:nth-child(5) {  
        width: auto;
      }

       
      .enum-table td:nth-child(1) {  
        width: 10em;
      }
      .enum-table td:nth-child(2) {  
        width: 10em;
      }
      .enum-table td:nth-child(3) {  
        width: auto;
      }

       
      .scalar-value-types-table tr {
        height: 3em;
      }

       
      #toc-container ul {
        list-style-type: none;
        padding-left: 1em;
        line-height: 180%;
        margin: 0;
      }
      #toc > li > a {
        font-weight: bold;
      }

       
      .file-heading {
        width: 100%;
        display: table;
        border-bottom: 1px solid #aaa;
        margin: 4em 0 1.5em 0;
      }
      .file-heading h2 {
        border: none;
        display: table-cell;
      }
      .file-heading a {
        text-align: right;
        display: table-cell;
      }

       
      .badge {
        width: 1.6em;
        height: 1.6em;
        display: inline-block;

        line-height: 1.6em;
        text-align: center;
        font-weight: bold;
        font-size: 60%;

        color: #89ba48;
        background-color: #dff0c8;

        margin: 0.5ex 1em 0.5ex -1em;
        border: 1px solid #fbfbfb;
        border-radius: 1ex;
      }
    </style>

    
    <link rel="stylesheet" type="text/css" href="stylesheet.css"/>
  </head>

  <body>

    <h1 id="title">Protocol Documentation</h1>

    <h2>Table of Contents</h2>

    <div id="toc-container">
      <ul id="toc">
        
          
          <li>
            <a href="#command-api%2fcommand%2fcommand.proto">command-api/command/command.proto</a>
            <ul>
              
                <li>
                  <a href="#command.BasicReply"><span class="badge">M</span>BasicReply</a>
                </li>
              
                <li>
                  <a href="#command.NewPersonReply"><span class="badge">M</span>NewPersonReply</a>
                </li>
              
                <li>
                  <a href="#command.NewPersonRequest"><span class="badge">M</span>NewPersonRequest</a>
                </li>
              
                <li>
                  <a href="#command.PersonNoteRequest"><span class="badge">M</span>PersonNoteRequest</a>
                </li>
              
                <li>
                  <a href="#command.StatusReply"><span class="badge">M</span>StatusReply</a>
                </li>
              
                <li>
                  <a href="#command.StatusRequest"><span class="badge">M</span>StatusRequest</a>
                </li>
              
              
              
              
                <li>
                  <a href="#command.Command"><span class="badge">S</span>Command</a>
                </li>
              
            </ul>
          </li>
        
          
          <li>
            <a href="#common%2fevents%2fevents.proto">common/events/events.proto</a>
            <ul>
              
                <li>
                  <a href="#events.AdellijkeTitelPredikaatGeregistreerdEvent"><span class="badge">M</span>AdellijkeTitelPredikaatGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.BSNToegekendEvent"><span class="badge">M</span>BSNToegekendEvent</a>
                </li>
              
                <li>
                  <a href="#events.BijzonderVerblijfsrechtBeeindigdEvent"><span class="badge">M</span>BijzonderVerblijfsrechtBeeindigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.BijzonderVerblijfsrechtGeregistreerdEvent"><span class="badge">M</span>BijzonderVerblijfsrechtGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.BriefadresToegekendEvent"><span class="badge">M</span>BriefadresToegekendEvent</a>
                </li>
              
                <li>
                  <a href="#events.BuitenlandsWoonadresGeregistreerdEvent"><span class="badge">M</span>BuitenlandsWoonadresGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.BuitenlandsWoonadresGewijzigdEvent"><span class="badge">M</span>BuitenlandsWoonadresGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.ContactgegevensGeregistreerdEvent"><span class="badge">M</span>ContactgegevensGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.ContactgegevensGewijzigdEvent"><span class="badge">M</span>ContactgegevensGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.EmigratieGeregistreerdEvent"><span class="badge">M</span>EmigratieGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.ErkenningKindGeregistreerdEvent"><span class="badge">M</span>ErkenningKindGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.ErkenningOngeborenVruchtGeregistreerdEvent"><span class="badge">M</span>ErkenningOngeborenVruchtGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.ErkenningVernietigdEvent"><span class="badge">M</span>ErkenningVernietigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.Event"><span class="badge">M</span>Event</a>
                </li>
              
                <li>
                  <a href="#events.GeboorteVastgesteldEvent"><span class="badge">M</span>GeboorteVastgesteldEvent</a>
                </li>
              
                <li>
                  <a href="#events.GeboortegegevensGeregistreerdEvent"><span class="badge">M</span>GeboortegegevensGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.GeregistreerdPartnerschapOntbondenEvent"><span class="badge">M</span>GeregistreerdPartnerschapOntbondenEvent</a>
                </li>
              
                <li>
                  <a href="#events.Geregistreerd_PartnerschapGeregistreerdEvent"><span class="badge">M</span>Geregistreerd_PartnerschapGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.GeslachtsaanduidingGeregistreerdEvent"><span class="badge">M</span>GeslachtsaanduidingGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.GeslachtsaanduidingGewijzigdEvent"><span class="badge">M</span>GeslachtsaanduidingGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.HuwelijkGeregistreerdEvent"><span class="badge">M</span>HuwelijkGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.HuwelijkOntbondenEvent"><span class="badge">M</span>HuwelijkOntbondenEvent</a>
                </li>
              
                <li>
                  <a href="#events.ImmigratieGeregistreerdEvent"><span class="badge">M</span>ImmigratieGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.JuridischOuderGeregistreerdEvent"><span class="badge">M</span>JuridischOuderGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.JuridischOuderschapGerechtelijkVastgesteldEvent"><span class="badge">M</span>JuridischOuderschapGerechtelijkVastgesteldEvent</a>
                </li>
              
                <li>
                  <a href="#events.JuridischOuderschapOntkendEvent"><span class="badge">M</span>JuridischOuderschapOntkendEvent</a>
                </li>
              
                <li>
                  <a href="#events.NaamgebruikGeregistreerdEvent"><span class="badge">M</span>NaamgebruikGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.NaamgebruikGewijzigdEvent"><span class="badge">M</span>NaamgebruikGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.NamenGeregistreerdEvent"><span class="badge">M</span>NamenGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.NamenGewijzigdEvent"><span class="badge">M</span>NamenGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.NamenVastgesteld"><span class="badge">M</span>NamenVastgesteld</a>
                </li>
              
                <li>
                  <a href="#events.NationaliteitsgegevensGeregistreerdEvent"><span class="badge">M</span>NationaliteitsgegevensGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.NationaliteitsgegevensGewijzigdEvent"><span class="badge">M</span>NationaliteitsgegevensGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.NewPersonEvent"><span class="badge">M</span>NewPersonEvent</a>
                </li>
              
                <li>
                  <a href="#events.OnderzoekWoonadresBeeindigdEvent"><span class="badge">M</span>OnderzoekWoonadresBeeindigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.OnderzoekWoonadresGestartEvent"><span class="badge">M</span>OnderzoekWoonadresGestartEvent</a>
                </li>
              
                <li>
                  <a href="#events.OverlijdenGeregistreerdEvent"><span class="badge">M</span>OverlijdenGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.PersonNoteEvent"><span class="badge">M</span>PersonNoteEvent</a>
                </li>
              
                <li>
                  <a href="#events.PersoonIngeschrevenEvent"><span class="badge">M</span>PersoonIngeschrevenEvent</a>
                </li>
              
                <li>
                  <a href="#events.TijdelijkAdresNLBeeindigdEvent"><span class="badge">M</span>TijdelijkAdresNLBeeindigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.TijdelijkAdresNLGeregistreerdEvent"><span class="badge">M</span>TijdelijkAdresNLGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.TijdelijkAdresNLGewijzigdEvent"><span class="badge">M</span>TijdelijkAdresNLGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.VerblijfstitelGeregistreerdEvent"><span class="badge">M</span>VerblijfstitelGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.VerblijfstitelGewijzigdEvent"><span class="badge">M</span>VerblijfstitelGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.VerhuizingInNLGeregistreerdEvent"><span class="badge">M</span>VerhuizingInNLGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.VerstrekkingsbeperkingGeregistreerdEvent"><span class="badge">M</span>VerstrekkingsbeperkingGeregistreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.VerstrekkingsbeperkingGewijzigdEvent"><span class="badge">M</span>VerstrekkingsbeperkingGewijzigdEvent</a>
                </li>
              
                <li>
                  <a href="#events.VertrekOnbekendWaarheenGeregsitreerdEvent"><span class="badge">M</span>VertrekOnbekendWaarheenGeregsitreerdEvent</a>
                </li>
              
                <li>
                  <a href="#events.WoonadresNLGeregistreerdEvent"><span class="badge">M</span>WoonadresNLGeregistreerdEvent</a>
                </li>
              
              
                <li>
                  <a href="#events.Geslachtsaanduiding"><span class="badge">E</span>Geslachtsaanduiding</a>
                </li>
              
                <li>
                  <a href="#events.Naamgebruik"><span class="badge">E</span>Naamgebruik</a>
                </li>
              
                <li>
                  <a href="#events.Nationaliteitskenmerk"><span class="badge">E</span>Nationaliteitskenmerk</a>
                </li>
              
                <li>
                  <a href="#events.Verstrekkingsbeperking"><span class="badge">E</span>Verstrekkingsbeperking</a>
                </li>
              
              
              
            </ul>
          </li>
        
        <li><a href="#scalar-value-types">Scalar Value Types</a></li>
      </ul>
    </div>

    
      
      <div class="file-heading">
        <h2 id="command-api/command/command.proto">command-api/command/command.proto</h2><a href="#title">Top</a>
      </div>
      <p></p>

      
        <h3 id="command.BasicReply">BasicReply</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>commandReference</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p>commandReference is an ascii string of undefined length. Users of this API
must make no assumptions about the contents of the commandReference string
as its value structure may change in future iterations of the command-api.

The commandReference can be used to obtain the status (progress) of a
command. For more information, see the Status(..)(..) method. </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="command.NewPersonReply">NewPersonReply</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>commandReference</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>personReference</td>
                  <td><a href="#bytes">bytes</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="command.NewPersonRequest">NewPersonRequest</h3>
        <p></p>

        

        
      
        <h3 id="command.PersonNoteRequest">PersonNoteRequest</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>personReference</td>
                  <td><a href="#bytes">bytes</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>note</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="command.StatusReply">StatusReply</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>journaled</td>
                  <td><a href="#bool">bool</a></td>
                  <td></td>
                  <td><p>gelinkt in journaal </p></td>
                </tr>
              
                <tr>
                  <td>published</td>
                  <td><a href="#bool">bool</a></td>
                  <td></td>
                  <td><p>publiek bekend </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="command.StatusRequest">StatusRequest</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>commandReference</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      

      

      

      
        <h3 id="command.Command">Command</h3>
        <p>The command service definition.</p>
        <table class="enum-table">
          <thead>
            <tr><td>Method Name</td><td>Request Type</td><td>Response Type</td><td>Description</td></tr>
          </thead>
          <tbody>
            
              <tr>
                <td>NewPerson</td>
                <td><a href="#command.NewPersonRequest">NewPersonRequest</a></td>
                <td><a href="#command.NewPersonReply">NewPersonReply</a></td>
                <td><p>NewPerson adds a command/event to the event store.</p></td>
              </tr>
            
              <tr>
                <td>PersonNote</td>
                <td><a href="#command.PersonNoteRequest">PersonNoteRequest</a></td>
                <td><a href="#command.BasicReply">BasicReply</a></td>
                <td><p>PersonNote adds a command/event to the event store.</p></td>
              </tr>
            
              <tr>
                <td>NamenVastgesteld</td>
                <td><a href="#events.NamenVastgesteld">.events.NamenVastgesteld</a></td>
                <td><a href="#command.BasicReply">BasicReply</a></td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>PersoonIngeschreven</td>
                <td><a href="#events.PersoonIngeschrevenEvent">.events.PersoonIngeschrevenEvent</a></td>
                <td><a href="#command.BasicReply">BasicReply</a></td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>Status</td>
                <td><a href="#command.StatusRequest">StatusRequest</a></td>
                <td><a href="#command.StatusReply">StatusReply</a></td>
                <td><p>Status returns the status of a command as it is being added to the store.</p></td>
              </tr>
            
          </tbody>
        </table>

        
    
      
      <div class="file-heading">
        <h2 id="common/events/events.proto">common/events/events.proto</h2><a href="#title">Top</a>
      </div>
      <p></p>

      
        <h3 id="events.AdellijkeTitelPredikaatGeregistreerdEvent">AdellijkeTitelPredikaatGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>adellijke_titel_predikaat</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_adellijke_titel_predikaat</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.BSNToegekendEvent">BSNToegekendEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>BSN</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_bsn</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p>Datum én tijd? </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.BijzonderVerblijfsrechtBeeindigdEvent">BijzonderVerblijfsrechtBeeindigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>eindddatum_bijzonder_verblijfsrecht</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.BijzonderVerblijfsrechtGeregistreerdEvent">BijzonderVerblijfsrechtGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_bijzonder_verblijfsrecht</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>eindddatum_bijzonder_verblijfsrecht</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.BriefadresToegekendEvent">BriefadresToegekendEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>verwijzing_briefadres_BAG</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>gemeente</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_briefadres</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>aangifte</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.BuitenlandsWoonadresGeregistreerdEvent">BuitenlandsWoonadresGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>buitenlands_woonadres</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_buitenlands_woonadres</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>aangifte</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.BuitenlandsWoonadresGewijzigdEvent">BuitenlandsWoonadresGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>buitenlands_woonadres</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_buitenlands_woonadres_gewijzigd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>aangifte</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.ContactgegevensGeregistreerdEvent">ContactgegevensGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>emailadres</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>mobiel_telefoonnummer</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_contactgegevens</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.ContactgegevensGewijzigdEvent">ContactgegevensGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>emailadres</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>mobiel_telefoonnummer</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_contactgegevens_gewijzigd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.EmigratieGeregistreerdEvent">EmigratieGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>land_van_emigratie</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_geemigreerd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>aangifte</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.ErkenningKindGeregistreerdEvent">ErkenningKindGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>kind_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>moeder_uit_wie_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>erkenner_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>keuze_geslachtsnaam</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_erkenning</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.ErkenningOngeborenVruchtGeregistreerdEvent">ErkenningOngeborenVruchtGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>ongeborenvrucht_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>moeder_uit_wie_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>erkenner_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>keuze_geslachtsnaam</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_erkenning</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.ErkenningVernietigdEvent">ErkenningVernietigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>kind_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>moeder_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>erkenner_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_vernietiging_erkenning</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.Event">Event</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>reference</td>
                  <td><a href="#bytes">bytes</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>kind</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p>[(go_type) = &#34;gitlab.com/commonground/xbrp/desq/common/references.EventReference&#34;] </p></td>
                </tr>
              
                <tr>
                  <td>data</td>
                  <td><a href="#bytes">bytes</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>date</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.GeboorteVastgesteldEvent">GeboorteVastgesteldEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>kind_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geboorte_datum</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geboorte_plaats</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geboorte_gemeente</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geboorte_land</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.GeboortegegevensGeregistreerdEvent">GeboortegegevensGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>kind_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>moeder_uit_wie_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geboorte_datum</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geboorte_plaats</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geboorte_gemeente</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geboorte_land</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.GeregistreerdPartnerschapOntbondenEvent">GeregistreerdPartnerschapOntbondenEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon1_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>persoon2_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_geregistreerd_partnerschap_ontbonden</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>plaats_geregistreerd_partnerschap_ontbonden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>land_geregistreerd_partnerschap_ontbonden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>reden_geregistreerd_partnerschap_ontbonden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.Geregistreerd_PartnerschapGeregistreerdEvent">Geregistreerd_PartnerschapGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon1_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>persoon2_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_geregistreerd_partnerschap</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>plaats_geregistreerd_partnerschap</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>land_geregistreerd_partnerschap</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.GeslachtsaanduidingGeregistreerdEvent">GeslachtsaanduidingGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geslachtsaanduiding</td>
                  <td><a href="#events.Geslachtsaanduiding">Geslachtsaanduiding</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_geslachtsaanduiding</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.GeslachtsaanduidingGewijzigdEvent">GeslachtsaanduidingGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geslachtsaanduiding</td>
                  <td><a href="#events.Geslachtsaanduiding">Geslachtsaanduiding</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_wijziging_geslachtsaanduiding</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.HuwelijkGeregistreerdEvent">HuwelijkGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon1_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>persoon2_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_huwelijk_voltrokken</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>plaats_huwelijk_voltrokken</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>land_huwelijk_voltrokken</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.HuwelijkOntbondenEvent">HuwelijkOntbondenEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon1_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>persoon2_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_huwelijk_ontbonden</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>plaats_huwelijk_ontbonden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>land_huwelijk_ontbonden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>reden_huwelijk_ontbonden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.ImmigratieGeregistreerdEvent">ImmigratieGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>land_vanwaar_gekomen</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_geimmigreerd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>aangifte</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.JuridischOuderGeregistreerdEvent">JuridischOuderGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ouder_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_relatie</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.JuridischOuderschapGerechtelijkVastgesteldEvent">JuridischOuderschapGerechtelijkVastgesteldEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ouder_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_ouderschap</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.JuridischOuderschapOntkendEvent">JuridischOuderschapOntkendEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ouder_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_ontkenning_ouderschap</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.NaamgebruikGeregistreerdEvent">NaamgebruikGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>Naamgebruik</td>
                  <td><a href="#events.Naamgebruik">Naamgebruik</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_naamgebruik</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.NaamgebruikGewijzigdEvent">NaamgebruikGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>Naamgebruik</td>
                  <td><a href="#events.Naamgebruik">Naamgebruik</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_naamgebruik_gewijzigd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.NamenGeregistreerdEvent">NamenGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>voornamen</td>
                  <td><a href="#string">string</a></td>
                  <td>repeated</td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>voorvoegsel_geslachtsnaam</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geslachtsnaam</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_namen</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p>Datum én tijd? </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.NamenGewijzigdEvent">NamenGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>voornamen</td>
                  <td><a href="#string">string</a></td>
                  <td>repeated</td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>voorvoegsel_geslachtsnaam</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geslachtsnaam</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_naamswijziging</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.NamenVastgesteld">NamenVastgesteld</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_hr</td>
                  <td><a href="#bytes">bytes</a></td>
                  <td></td>
                  <td><p>TODO: need to be renamed to _pr (or this entire example is removed) </p></td>
                </tr>
              
                <tr>
                  <td>voornamen</td>
                  <td><a href="#string">string</a></td>
                  <td>repeated</td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>voorvoegsel_geslachtsnaam</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>geslachtsnaam</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_namen</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p>TODO: Datum én tijd? </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.NationaliteitsgegevensGeregistreerdEvent">NationaliteitsgegevensGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>nationaliteitskenmerk</td>
                  <td><a href="#events.Nationaliteitskenmerk">Nationaliteitskenmerk</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>buitenlandse_nationaliteit</td>
                  <td><a href="#string">string</a></td>
                  <td>repeated</td>
                  <td><p>Zie Tabel 32 Nationaliteitentabel </p></td>
                </tr>
              
                <tr>
                  <td>EU_persoonsnummer</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_nationaliteitsgegevens</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>reden_opnemen_beeindigen_nationaliteitsgegevens</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p>Zie Tabel 37 Reden... </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.NationaliteitsgegevensGewijzigdEvent">NationaliteitsgegevensGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>nationaliteitskenmerk</td>
                  <td><a href="#events.Nationaliteitskenmerk">Nationaliteitskenmerk</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>buitenlandse_nationaliteit</td>
                  <td><a href="#string">string</a></td>
                  <td>repeated</td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>EU_persoonsnummer</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_nationaliteitsgegevens_gewijzigd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>reden_opnemen_beeindigen_nationaliteitsgegevens</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.NewPersonEvent">NewPersonEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>person_reference</td>
                  <td><a href="#bytes">bytes</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.OnderzoekWoonadresBeeindigdEvent">OnderzoekWoonadresBeeindigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>einddatum_onderzoek</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.OnderzoekWoonadresGestartEvent">OnderzoekWoonadresGestartEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_onderzoek</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.OverlijdenGeregistreerdEvent">OverlijdenGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_van_overlijden</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>plaats_van_overlijden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>gemeente_van_overlijden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>land_van_overlijden</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.PersonNoteEvent">PersonNoteEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>person_reference</td>
                  <td><a href="#bytes">bytes</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>note</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.PersoonIngeschrevenEvent">PersoonIngeschrevenEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#bytes">bytes</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_ingeschreven</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.TijdelijkAdresNLBeeindigdEvent">TijdelijkAdresNLBeeindigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>einddatum_tijdelijk_adres</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.TijdelijkAdresNLGeregistreerdEvent">TijdelijkAdresNLGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>verwijzing_woonadres_BAG</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>gemeente</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_tijdelijk_adres</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.TijdelijkAdresNLGewijzigdEvent">TijdelijkAdresNLGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>verwijzing_woonadres_BAG</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>gemeente</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_tijdelijk_adres_gewijzigd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.VerblijfstitelGeregistreerdEvent">VerblijfstitelGeregistreerdEvent</h3>
        <p>Verblijfstitel wordt 'uitgegeven' door IND, vervalt als persoon de Nederlandse nationaliteit verkrijgt</p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>toegekende_verblijfstitel</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p>Zie tabel 56 Verblijfstiteltabel </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_verblijfstitel</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>eindddatum_verblijfstitel</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.VerblijfstitelGewijzigdEvent">VerblijfstitelGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>toegekende_verblijfstitel</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>ingangsdatum_verblijfstitel</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_verblijfstitel_gewijzigd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.VerhuizingInNLGeregistreerdEvent">VerhuizingInNLGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>verwijzing_woonadres_BAG</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>gemeente</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_verhuisd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>aangifte</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.VerstrekkingsbeperkingGeregistreerdEvent">VerstrekkingsbeperkingGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>verstrekkingsbeperking</td>
                  <td><a href="#events.Verstrekkingsbeperking">Verstrekkingsbeperking</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_verstrekkingsbeperking</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.VerstrekkingsbeperkingGewijzigdEvent">VerstrekkingsbeperkingGewijzigdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>verstrekkingsbeperking</td>
                  <td><a href="#events.Verstrekkingsbeperking">Verstrekkingsbeperking</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_verstrekkingsbeperking_gewijzigd</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.VertrekOnbekendWaarheenGeregsitreerdEvent">VertrekOnbekendWaarheenGeregsitreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>datum_vertrek_onbekend_waarheen</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      
        <h3 id="events.WoonadresNLGeregistreerdEvent">WoonadresNLGeregistreerdEvent</h3>
        <p></p>

        
          <table class="field-table">
            <thead>
              <tr><td>Field</td><td>Type</td><td>Label</td><td>Description</td></tr>
            </thead>
            <tbody>
              
                <tr>
                  <td>persoon_pr</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>verwijzing_woonadres_BAG</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>gemeente</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>startdatum_woonadres</td>
                  <td><a href="#google.protobuf.Timestamp">google.protobuf.Timestamp</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
                <tr>
                  <td>aangifte</td>
                  <td><a href="#string">string</a></td>
                  <td></td>
                  <td><p> </p></td>
                </tr>
              
            </tbody>
          </table>

          

        
      

      
        <h3 id="events.Geslachtsaanduiding">Geslachtsaanduiding</h3>
        <p></p>
        <table class="enum-table">
          <thead>
            <tr><td>Name</td><td>Number</td><td>Description</td></tr>
          </thead>
          <tbody>
            
              <tr>
                <td>GESLACHT_ONBEKEND</td>
                <td>0</td>
                <td><p>Prefix nodig ivm scoping rules protobuf</p></td>
              </tr>
            
              <tr>
                <td>GESLACHT_M</td>
                <td>1</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>GESLACHT_V</td>
                <td>2</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>GESLACHT_X</td>
                <td>3</td>
                <td><p></p></td>
              </tr>
            
          </tbody>
        </table>
      
        <h3 id="events.Naamgebruik">Naamgebruik</h3>
        <p>E = eigen naam, P = partner naam</p>
        <table class="enum-table">
          <thead>
            <tr><td>Name</td><td>Number</td><td>Description</td></tr>
          </thead>
          <tbody>
            
              <tr>
                <td>NAAMGEBRUIK_E</td>
                <td>0</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>NAAMGEBRUIK_P</td>
                <td>1</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>NAAMGEBRUIK_EP</td>
                <td>2</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>NAAMGEBRUIK_PE</td>
                <td>3</td>
                <td><p></p></td>
              </tr>
            
          </tbody>
        </table>
      
        <h3 id="events.Nationaliteitskenmerk">Nationaliteitskenmerk</h3>
        <p></p>
        <table class="enum-table">
          <thead>
            <tr><td>Name</td><td>Number</td><td>Description</td></tr>
          </thead>
          <tbody>
            
              <tr>
                <td>NATIONALITEITSKENMERK_Nog_niet_bekend</td>
                <td>0</td>
                <td><p>Prefix nodig ivm scoping rules protobuf</p></td>
              </tr>
            
              <tr>
                <td>NATIONALITEITSKENMERK_Nederlander</td>
                <td>1</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>NATIONALITEITSKENMERK_Behandeld_als_Nederlander</td>
                <td>2</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>NATIONALITEITSKENMERK_Buitenlandse_Nationaliteit_en</td>
                <td>3</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>NATIONALITEITSKENMERK_Vastgesteld_niet_Nederlander</td>
                <td>4</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>NATIONALITEITSKENMERK_Staatloos</td>
                <td>5</td>
                <td><p></p></td>
              </tr>
            
          </tbody>
        </table>
      
        <h3 id="events.Verstrekkingsbeperking">Verstrekkingsbeperking</h3>
        <p></p>
        <table class="enum-table">
          <thead>
            <tr><td>Name</td><td>Number</td><td>Description</td></tr>
          </thead>
          <tbody>
            
              <tr>
                <td>VERSTREKKINGSBEPERKING_Geen_beperking</td>
                <td>0</td>
                <td><p></p></td>
              </tr>
            
              <tr>
                <td>VERSTREKKINGSBEPERKING_Volledige_beperking</td>
                <td>1</td>
                <td><p></p></td>
              </tr>
            
          </tbody>
        </table>
      

      

      
    

    <h2 id="scalar-value-types">Scalar Value Types</h2>
    <table class="scalar-value-types-table">
      <thead>
        <tr><td>.proto Type</td><td>Notes</td><td>C++</td><td>Java</td><td>Python</td><td>Go</td><td>C#</td><td>PHP</td><td>Ruby</td></tr>
      </thead>
      <tbody>
        
          <tr id="double">
            <td>double</td>
            <td></td>
            <td>double</td>
            <td>double</td>
            <td>float</td>
            <td>float64</td>
            <td>double</td>
            <td>float</td>
            <td>Float</td>
          </tr>
        
          <tr id="float">
            <td>float</td>
            <td></td>
            <td>float</td>
            <td>float</td>
            <td>float</td>
            <td>float32</td>
            <td>float</td>
            <td>float</td>
            <td>Float</td>
          </tr>
        
          <tr id="int32">
            <td>int32</td>
            <td>Uses variable-length encoding. Inefficient for encoding negative numbers – if your field is likely to have negative values, use sint32 instead.</td>
            <td>int32</td>
            <td>int</td>
            <td>int</td>
            <td>int32</td>
            <td>int</td>
            <td>integer</td>
            <td>Bignum or Fixnum (as required)</td>
          </tr>
        
          <tr id="int64">
            <td>int64</td>
            <td>Uses variable-length encoding. Inefficient for encoding negative numbers – if your field is likely to have negative values, use sint64 instead.</td>
            <td>int64</td>
            <td>long</td>
            <td>int/long</td>
            <td>int64</td>
            <td>long</td>
            <td>integer/string</td>
            <td>Bignum</td>
          </tr>
        
          <tr id="uint32">
            <td>uint32</td>
            <td>Uses variable-length encoding.</td>
            <td>uint32</td>
            <td>int</td>
            <td>int/long</td>
            <td>uint32</td>
            <td>uint</td>
            <td>integer</td>
            <td>Bignum or Fixnum (as required)</td>
          </tr>
        
          <tr id="uint64">
            <td>uint64</td>
            <td>Uses variable-length encoding.</td>
            <td>uint64</td>
            <td>long</td>
            <td>int/long</td>
            <td>uint64</td>
            <td>ulong</td>
            <td>integer/string</td>
            <td>Bignum or Fixnum (as required)</td>
          </tr>
        
          <tr id="sint32">
            <td>sint32</td>
            <td>Uses variable-length encoding. Signed int value. These more efficiently encode negative numbers than regular int32s.</td>
            <td>int32</td>
            <td>int</td>
            <td>int</td>
            <td>int32</td>
            <td>int</td>
            <td>integer</td>
            <td>Bignum or Fixnum (as required)</td>
          </tr>
        
          <tr id="sint64">
            <td>sint64</td>
            <td>Uses variable-length encoding. Signed int value. These more efficiently encode negative numbers than regular int64s.</td>
            <td>int64</td>
            <td>long</td>
            <td>int/long</td>
            <td>int64</td>
            <td>long</td>
            <td>integer/string</td>
            <td>Bignum</td>
          </tr>
        
          <tr id="fixed32">
            <td>fixed32</td>
            <td>Always four bytes. More efficient than uint32 if values are often greater than 2^28.</td>
            <td>uint32</td>
            <td>int</td>
            <td>int</td>
            <td>uint32</td>
            <td>uint</td>
            <td>integer</td>
            <td>Bignum or Fixnum (as required)</td>
          </tr>
        
          <tr id="fixed64">
            <td>fixed64</td>
            <td>Always eight bytes. More efficient than uint64 if values are often greater than 2^56.</td>
            <td>uint64</td>
            <td>long</td>
            <td>int/long</td>
            <td>uint64</td>
            <td>ulong</td>
            <td>integer/string</td>
            <td>Bignum</td>
          </tr>
        
          <tr id="sfixed32">
            <td>sfixed32</td>
            <td>Always four bytes.</td>
            <td>int32</td>
            <td>int</td>
            <td>int</td>
            <td>int32</td>
            <td>int</td>
            <td>integer</td>
            <td>Bignum or Fixnum (as required)</td>
          </tr>
        
          <tr id="sfixed64">
            <td>sfixed64</td>
            <td>Always eight bytes.</td>
            <td>int64</td>
            <td>long</td>
            <td>int/long</td>
            <td>int64</td>
            <td>long</td>
            <td>integer/string</td>
            <td>Bignum</td>
          </tr>
        
          <tr id="bool">
            <td>bool</td>
            <td></td>
            <td>bool</td>
            <td>boolean</td>
            <td>boolean</td>
            <td>bool</td>
            <td>bool</td>
            <td>boolean</td>
            <td>TrueClass/FalseClass</td>
          </tr>
        
          <tr id="string">
            <td>string</td>
            <td>A string must always contain UTF-8 encoded or 7-bit ASCII text.</td>
            <td>string</td>
            <td>String</td>
            <td>str/unicode</td>
            <td>string</td>
            <td>string</td>
            <td>string</td>
            <td>String (UTF-8)</td>
          </tr>
        
          <tr id="bytes">
            <td>bytes</td>
            <td>May contain any arbitrary sequence of bytes.</td>
            <td>string</td>
            <td>ByteString</td>
            <td>str</td>
            <td>[]byte</td>
            <td>ByteString</td>
            <td>string</td>
            <td>String (ASCII-8BIT)</td>
          </tr>
        
      </tbody>
    </table>
  </body>
</html>

